package cn.com.infosec.mobile.android.managers;

import android.content.Context;
import android.content.SharedPreferences;
import android.support.annotation.NonNull;
import android.text.TextUtils;
import android.util.Base64;
import cn.com.infosec.mobile.android.IMSSdk;
import cn.com.infosec.mobile.android.algorithm.SM9;
import cn.com.infosec.mobile.android.net.NetworkInterface;
import cn.com.infosec.mobile.android.result.Result;
import cn.com.infosec.mobile.android.util.Util;
import cn.com.infosec.mobile.android.xlog.XLog;
import java.util.Arrays;
import java.util.HashMap;
import java.util.Map;
import java.util.logging.Level;
import java.util.logging.Logger;
import org.json.JSONException;
import org.json.JSONObject;

public class GroupSignManager {
   Context context;
   private Result latestResult;
   long[] handleArray = new long[1];
   String random = "";
   byte[] a = new byte[32];
   byte[] b = new byte[32];
   byte[] q = new byte[32];
   byte[] t = new byte[32];
   byte[] p = new byte[32];
   byte[] P1_x = new byte[32];
   byte[] P1_y = new byte[32];
   byte[] P2_x = new byte[32];
   byte[] P2_y = new byte[32];
   byte[] PK_X_x = new byte[64];
   byte[] PK_X_y = new byte[64];
   byte[] PK_Y_x = new byte[64];
   byte[] PK_Y_y = new byte[64];
   byte[] publish_x = new byte[32];
   byte[] publish_y = new byte[32];
   byte[] opk_Q_x = new byte[32];
   byte[] opk_Q_y = new byte[32];
   byte[] opk_V_x = new byte[32];
   byte[] opk_V_y = new byte[32];
   byte[] opk_W_x = new byte[32];
   byte[] opk_W_y = new byte[32];
   byte[] opk_alpha = new byte[32];
   byte[] opk_beta = new byte[32];
   byte[] prikey_f = new byte[32];
   byte[] F_x = new byte[32];
   byte[] F_y = new byte[32];
   byte[] v = new byte[32];
   byte[] w = new byte[32];
   byte[] A_x = new byte[32];
   byte[] A_y = new byte[32];
   byte[] B_x = new byte[32];
   byte[] B_y = new byte[32];
   byte[] C_x = new byte[32];
   byte[] C_y = new byte[32];
   byte[] D_x = new byte[32];
   byte[] D_y = new byte[32];
   byte[] c = new byte[32];
   byte[] s = new byte[32];
   byte[] J_x = new byte[32];
   byte[] J_y = new byte[32];
   byte[] K_x = new byte[32];
   byte[] K_y = new byte[32];
   byte[] c1 = new byte[32];
   byte[] s1 = new byte[32];
   byte[] C1_x = new byte[32];
   byte[] C1_y = new byte[32];
   byte[] C2_x = new byte[32];
   byte[] C2_y = new byte[32];
   byte[] C3_x = new byte[32];
   byte[] C3_y = new byte[32];
   byte[] A_out_x = new byte[32];
   byte[] A_out_y = new byte[32];
   byte[] B_out_x = new byte[32];
   byte[] B_out_y = new byte[32];
   byte[] C_out_x = new byte[32];
   byte[] C_out_y = new byte[32];
   byte[] D_out_x = new byte[32];
   byte[] D_out_y = new byte[32];

   public GroupSignManager(Context context) {
      this.context = context;
   }

   private Map<String, String> createGroupBegin(String groupIdentify) {
      if (!TextUtils.isEmpty(groupIdentify) && groupIdentify.length() <= 64) {
         HashMap var2 = new HashMap();
         var2.put("groupIdentify", groupIdentify);
         return var2;
      } else {
         GroupSignManager var10000 = this;
         Logger var10001 = IMSSdk.mLogger;
         Level var10002 = Level.SEVERE;
         String[] var3;
         (var3 = new String[1])[0] = groupIdentify;
         var10001.log(var10002, "createGroup 失败:参数不合法", var3);
         XLog.d("createGroup 失败:参数不合法" + Arrays.toString(new String[]{groupIdentify}));
         var10000.setLatestResult(new Result("IE1013"));
         return null;
      }
   }

   private Result createGroupFinal(JSONObject responseData) {
      JSONException var10000;
      label31: {
         boolean var10001;
         Result var7;
         try {
            var7 = this.checkResponseData(responseData);
         } catch (JSONException var5) {
            var10000 = var5;
            var10001 = false;
            break label31;
         }

         Result var2 = var7;
         String var8 = "000000";

         boolean var9;
         try {
            var9 = TextUtils.equals(var8, var2.getResultID());
         } catch (JSONException var4) {
            var10000 = var4;
            var10001 = false;
            break label31;
         }

         if (!var9) {
            return var2;
         }

         try {
            this.parseGroupInfo(responseData);
            var2.setResultDesc(responseData.toString());
            XLog.d("createGroup 成功：" + var2.getResultID());
            return var2;
         } catch (JSONException var3) {
            var10000 = var3;
            var10001 = false;
         }
      }

      JSONException var6 = var10000;
      IMSSdk.mLogger.log(Level.SEVERE, "createGroup 失败:JSON异常", var6);
      XLog.d("createGroup 失败:JSON异常" + var6);
      return new Result("IE1008", responseData.toString());
   }

   private void parseGroupInfo(JSONObject responseData) {
      GroupSignManager var10000 = this;
      JSONObject var10001 = responseData;
      JSONObject var10002 = responseData;
      JSONObject var10003 = responseData;
      JSONObject var10004 = responseData;
      String responseData1 = responseData.optString("groupOpeningKey");
      String var2 = var10004.optString("groupId");
      var10003.optString("groupIssuingKey");
      String var3 = var10002.optString("groupPubKey");
      String var8 = var10001.optString("groupParam");
      String var10 = var3;
      byte[] responseData2 = Base64.decode(responseData1, 2);
      var3 = new String.<init>(responseData2);
      JSONObject var10005 = responseData = new JSONObject;
      JSONObject var10008 = responseData;
      JSONObject var10011 = responseData;
      JSONObject var10014 = responseData;
      JSONObject var10017 = responseData;
      JSONObject var10020 = responseData;
      responseData.<init>(var3);
      this.opk_Q_x = Base64.decode(responseData.optString("opk_Q_x"), 2);
      this.opk_Q_y = Base64.decode(responseData.optString("opk_Q_y"), 2);
      this.opk_V_x = Base64.decode(responseData.optString("opk_V_x"), 2);
      this.opk_V_y = Base64.decode(responseData.optString("opk_V_y"), 2);
      this.opk_W_x = Base64.decode(responseData.optString("opk_W_x"), 2);
      this.opk_W_y = Base64.decode(responseData.optString("opk_W_y"), 2);
      Context responseData3 = this.context;
      var3 = var10020.optString("opk_Q_x");
      this.storeByteArray(responseData3, var2, "opk_Q_x", var3);
      responseData3 = this.context;
      var3 = var10017.optString("opk_Q_y");
      this.storeByteArray(responseData3, var2, "opk_Q_y", var3);
      responseData3 = this.context;
      var3 = var10014.optString("opk_V_x");
      this.storeByteArray(responseData3, var2, "opk_V_x", var3);
      responseData3 = this.context;
      var3 = var10011.optString("opk_V_y");
      this.storeByteArray(responseData3, var2, "opk_V_y", var3);
      responseData3 = this.context;
      var3 = var10008.optString("opk_W_x");
      this.storeByteArray(responseData3, var2, "opk_W_x", var3);
      responseData3 = this.context;
      var3 = var10005.optString("opk_W_y");
      this.storeByteArray(responseData3, var2, "opk_W_y", var3);
      responseData2 = Base64.decode(var10, 2);
      var3 = new String.<init>(responseData2);
      var10003 = responseData = new JSONObject;
      JSONObject var10006 = responseData;
      JSONObject var10009 = responseData;
      JSONObject var10012 = responseData;
      responseData.<init>(var3);
      this.PK_X_x = Base64.decode(responseData.optString("PK_X_x"), 2);
      this.PK_X_y = Base64.decode(responseData.optString("PK_X_y"), 2);
      this.PK_Y_x = Base64.decode(responseData.optString("PK_Y_x"), 2);
      this.PK_Y_y = Base64.decode(responseData.optString("PK_Y_y"), 2);
      responseData3 = this.context;
      var3 = var10012.optString("PK_X_x");
      this.storeByteArray(responseData3, var2, "PK_X_x", var3);
      responseData3 = this.context;
      var3 = var10009.optString("PK_X_y");
      this.storeByteArray(responseData3, var2, "PK_X_y", var3);
      responseData3 = this.context;
      var3 = var10006.optString("PK_Y_x");
      this.storeByteArray(responseData3, var2, "PK_Y_x", var3);
      responseData3 = this.context;
      var3 = var10003.optString("PK_Y_y");
      this.storeByteArray(responseData3, var2, "PK_Y_y", var3);
      responseData2 = Base64.decode(var8, 2);
      var3 = new String.<init>(responseData2);
      var10001 = responseData = new JSONObject;
      GroupSignManager var9 = this;
      GroupSignManager var11 = this;
      var10004 = responseData;
      GroupSignManager var12 = this;
      GroupSignManager var13 = this;
      JSONObject var10007 = responseData;
      GroupSignManager var14 = this;
      GroupSignManager var15 = this;
      JSONObject var10010 = responseData;
      GroupSignManager var16 = this;
      GroupSignManager var17 = this;
      JSONObject var10013 = responseData;
      GroupSignManager var18 = this;
      GroupSignManager var10015 = this;
      JSONObject var10016 = responseData;
      GroupSignManager var19 = this;
      GroupSignManager var10018 = this;
      JSONObject var10019 = responseData;
      GroupSignManager var20 = this;
      GroupSignManager var10021 = this;
      JSONObject var10022 = responseData;
      GroupSignManager var10023 = this;
      GroupSignManager var10024 = this;
      responseData.<init>(var3);
      this.a = Base64.decode(responseData.optString("a"), 2);
      this.b = Base64.decode(responseData.optString("b"), 2);
      this.q = Base64.decode(responseData.optString("q"), 2);
      this.t = Base64.decode(responseData.optString("t"), 2);
      this.p = Base64.decode(responseData.optString("p"), 2);
      this.P1_x = Base64.decode(responseData.optString("P1_x"), 2);
      this.P1_y = Base64.decode(responseData.optString("P1_y"), 2);
      this.P2_x = Base64.decode(responseData.optString("P2_x"), 2);
      this.P2_y = Base64.decode(responseData.optString("P2_y"), 2);
      Context var4 = this.context;
      responseData1 = responseData.optString("a");
      var10024.storeByteArray(var4, var2, "a", responseData1);
      var4 = var10023.context;
      responseData1 = var10022.optString("b");
      var10021.storeByteArray(var4, var2, "b", responseData1);
      var4 = var20.context;
      responseData1 = var10019.optString("q");
      var10018.storeByteArray(var4, var2, "q", responseData1);
      var4 = var19.context;
      responseData1 = var10016.optString("t");
      var10015.storeByteArray(var4, var2, "t", responseData1);
      var4 = var18.context;
      responseData1 = var10013.optString("p");
      var17.storeByteArray(var4, var2, "p", responseData1);
      var4 = var16.context;
      responseData1 = var10010.optString("P1_x");
      var15.storeByteArray(var4, var2, "P1_x", responseData1);
      var4 = var14.context;
      responseData1 = var10007.optString("P1_y");
      var13.storeByteArray(var4, var2, "P1_y", responseData1);
      var4 = var12.context;
      responseData1 = var10004.optString("P2_x");
      var11.storeByteArray(var4, var2, "P2_x", responseData1);
      var4 = var9.context;
      responseData1 = var10001.optString("P2_y");
      var10000.storeByteArray(var4, var2, "P2_y", responseData1);
   }

   private Map<String, String> openGroupSignatureBegin(String groupId, String signValue) {
      GroupSignManager var10000;
      Logger var10001;
      Level var10002;
      String[] var3;
      if (!TextUtils.isEmpty(groupId) && groupId.length() <= 64) {
         if (!TextUtils.isEmpty(signValue) && signValue.length() <= 4096) {
            HashMap var4 = new HashMap();
            var4.put("groupId", groupId);
            var4.put("signValue", signValue);
            return var4;
         } else {
            var10000 = this;
            var10001 = IMSSdk.mLogger;
            var10002 = Level.SEVERE;
            (var3 = new String[1])[0] = signValue;
            var10001.log(var10002, "openGroupSignature 失败:参数不合法", var3);
            XLog.d("openGroupSignature 失败:参数不合法" + Arrays.toString(new String[]{signValue}));
            var10000.setLatestResult(new Result("IE1013"));
            return null;
         }
      } else {
         var10000 = this;
         var10001 = IMSSdk.mLogger;
         var10002 = Level.SEVERE;
         (var3 = new String[1])[0] = groupId;
         var10001.log(var10002, "openGroupSignature 失败:参数不合法", var3);
         XLog.d("openGroupSignature 失败:参数不合法" + Arrays.toString(new String[]{groupId}));
         var10000.setLatestResult(new Result("IE1013"));
         return null;
      }
   }

   private Result openGroupSignatureFinal(JSONObject responseData) {
      JSONException var10000;
      label31: {
         boolean var10001;
         Result var7;
         try {
            var7 = this.checkResponseData(responseData);
         } catch (JSONException var4) {
            var10000 = var4;
            var10001 = false;
            break label31;
         }

         Result var5 = var7;
         String var8 = "000000";

         boolean var9;
         try {
            var9 = TextUtils.equals(var8, var5.getResultID());
         } catch (JSONException var3) {
            var10000 = var3;
            var10001 = false;
            break label31;
         }

         if (!var9) {
            return var5;
         }

         try {
            XLog.d("openGroupSignature 成功");
            return var5;
         } catch (JSONException var2) {
            var10000 = var2;
            var10001 = false;
         }
      }

      JSONException var6 = var10000;
      IMSSdk.mLogger.log(Level.SEVERE, "openGroupSignature 失败:JSON异常", var6);
      XLog.d("openGroupSignature 失败:JSON异常" + var6);
      return new Result("IE1008", responseData.toString());
   }

   private Map<String, String> getGroupInfoBegin(String groupId, String groupIdentify) {
      GroupSignManager var10000;
      if (TextUtils.isEmpty(groupId) && TextUtils.isEmpty(groupIdentify)) {
         var10000 = this;
         XLog.d("getGroupInfoBegin 失败:groupId 参数不合法，groupId、groupIdentify 都为空");
         Result var5;
         var5 = new Result.<init>("IE1013");
         var10000.setLatestResult(var5);
         return null;
      } else {
         Logger var10001;
         Level var10002;
         String[] var4;
         if (!TextUtils.isEmpty(groupId) && groupId.length() > 64) {
            var10000 = this;
            var10001 = IMSSdk.mLogger;
            var10002 = Level.SEVERE;
            (var4 = new String[1])[0] = groupId;
            var10001.log(var10002, "getGroupInfoBegin 失败:groupId 参数不合法", var4);
            XLog.d("getGroupInfoBegin 失败:groupId 参数不合法" + Arrays.toString(new String[]{groupId}));
            var10000.setLatestResult(new Result("IE1013"));
            return null;
         } else if (!TextUtils.isEmpty(groupIdentify) && groupIdentify.length() > 64) {
            var10000 = this;
            var10001 = IMSSdk.mLogger;
            var10002 = Level.SEVERE;
            (var4 = new String[1])[0] = groupIdentify;
            var10001.log(var10002, "getGroupInfoBegin 失败:groupIdentify 参数不合法", var4);
            XLog.d("getGroupInfoBegin 失败:groupIdentify 参数不合法" + Arrays.toString(new String[]{groupIdentify}));
            var10000.setLatestResult(new Result("IE1013"));
            return null;
         } else {
            HashMap var3;
            var3 = new HashMap.<init>();
            if (!TextUtils.isEmpty(groupId)) {
               var3.put("groupId", groupId);
            }

            if (!TextUtils.isEmpty(groupIdentify)) {
               var3.put("groupIdentify", groupIdentify);
            }

            return var3;
         }
      }
   }

   private Result getGroupInfoFinal(JSONObject responseData) {
      JSONException var10000;
      label31: {
         boolean var10001;
         Result var7;
         try {
            var7 = this.checkResponseData(responseData);
         } catch (JSONException var5) {
            var10000 = var5;
            var10001 = false;
            break label31;
         }

         Result var2 = var7;
         String var8 = "000000";

         boolean var9;
         try {
            var9 = TextUtils.equals(var8, var2.getResultID());
         } catch (JSONException var4) {
            var10000 = var4;
            var10001 = false;
            break label31;
         }

         if (!var9) {
            return var2;
         }

         try {
            this.parseGroupInfo(responseData);
            var2.setResultDesc(responseData.toString());
            XLog.d("getGroupInfo 成功：" + var2.getResultID());
            return var2;
         } catch (JSONException var3) {
            var10000 = var3;
            var10001 = false;
         }
      }

      JSONException var6 = var10000;
      IMSSdk.mLogger.log(Level.SEVERE, "getGroupInfo 失败:JSON异常", var6);
      XLog.d("getGroupInfo 失败:JSON异常" + var6);
      return new Result("IE1008", responseData.toString());
   }

   private Map<String, String> publishMemberStartBegin(String groupId, String username, String PIN) {
      if (!TextUtils.isEmpty(groupId) && groupId.length() <= 64) {
         if (TextUtils.isEmpty(username)) {
            IMSSdk.mLogger.log(Level.SEVERE, "publishMemberStart 失败:username 为空");
            XLog.d("publishMemberStart 失败:username 为空");
            this.setLatestResult(new Result("IE1013"));
            return null;
         } else if (TextUtils.isEmpty(PIN)) {
            IMSSdk.mLogger.log(Level.SEVERE, "publishMemberStart 失败:PIN 为空");
            XLog.d("publishMemberStart 失败:PIN 为空");
            this.setLatestResult(new Result("IE1013"));
            return null;
         } else {
            HashMap var5 = new HashMap();
            var5.put("groupId", groupId);
            var5.put("username", username);
            var5.put("imei", Util.getIdentifier(IMSSdk.mContext));
            return var5;
         }
      } else {
         GroupSignManager var10000 = this;
         Logger var10001 = IMSSdk.mLogger;
         Level var10002 = Level.SEVERE;
         String[] var4;
         (var4 = new String[1])[0] = groupId;
         var10001.log(var10002, "publishMemberStart 失败:groupId 参数不合法", var4);
         XLog.d("publishMemberStart 失败:groupId 参数不合法" + Arrays.toString(new String[]{groupId}));
         var10000.setLatestResult(new Result("IE1013"));
         return null;
      }
   }

   private Result publishMemberStartFinal(String groupId, JSONObject responseData) {
      JSONException var10000;
      label47: {
         Result var13;
         boolean var10001;
         try {
            var13 = this.checkResponseData(responseData);
         } catch (JSONException var9) {
            var10000 = var9;
            var10001 = false;
            break label47;
         }

         Result var3 = var13;
         String var14 = "000000";

         boolean var15;
         try {
            var15 = TextUtils.equals(var14, var3.getResultID());
         } catch (JSONException var8) {
            var10000 = var8;
            var10001 = false;
            break label47;
         }

         if (!var15) {
            return var3;
         }

         GroupSignManager var16;
         GroupSignManager var10002;
         Context var10003;
         try {
            var13 = var3;
            var16 = this;
            var10002 = this;
            this.random = responseData.optString("random");
            XLog.d("publishMemberStart 成功：" + var3.getResultID());
            var10003 = this.context;
         } catch (JSONException var7) {
            var10000 = var7;
            var10001 = false;
            break label47;
         }

         Context var10 = var10003;
         String var12 = "random";

         String var17;
         try {
            var17 = var10002.random;
         } catch (JSONException var6) {
            var10000 = var6;
            var10001 = false;
            break label47;
         }

         String var4 = var17;

         try {
            var16.storeByteArray(var10, groupId, var12, var4);
            return var13;
         } catch (JSONException var5) {
            var10000 = var5;
            var10001 = false;
         }
      }

      JSONException var11 = var10000;
      IMSSdk.mLogger.log(Level.SEVERE, "publishMemberStart 失败:JSON异常", var11);
      XLog.d("publishMemberStart 失败:JSON异常" + var11);
      return new Result("IE1008", responseData.toString());
   }

   private Map<String, String> publishMemberEndBegin(String groupId, String username) {
      if (!TextUtils.isEmpty(groupId) && groupId.length() <= 64) {
         if (TextUtils.isEmpty(username)) {
            IMSSdk.mLogger.log(Level.SEVERE, "publishMemberEnd 失败:username 为空");
            XLog.d("publishMemberEnd 失败:username 为空");
            this.setLatestResult(new Result("IE1013"));
            return null;
         } else {
            this.a = this.retrieveByteArray(this.context, groupId, "a");
            this.b = this.retrieveByteArray(this.context, groupId, "b");
            this.q = this.retrieveByteArray(this.context, groupId, "q");
            this.t = this.retrieveByteArray(this.context, groupId, "t");
            this.p = this.retrieveByteArray(this.context, groupId, "p");
            this.P1_x = this.retrieveByteArray(this.context, groupId, "P1_x");
            this.P1_y = this.retrieveByteArray(this.context, groupId, "P1_y");
            this.P2_x = this.retrieveByteArray(this.context, groupId, "P2_x");
            this.P2_y = this.retrieveByteArray(this.context, groupId, "P2_y");
            SM9 var3;
            SM9 var32 = var3 = new SM9;
            var3.<init>();
            byte[] var4 = this.a;
            byte[] var5 = this.b;
            byte[] var6 = this.q;
            byte[] var7 = this.t;
            byte[] var8 = this.p;
            byte[] var9 = this.P1_x;
            byte[] var10 = this.P1_y;
            byte[] var11 = this.P2_x;
            byte[] var12 = this.P2_y;
            long[] var13 = this.handleArray;
            int var25;
            if ((var25 = var32.groupInitParaHandle(var4, var5, var6, var7, var8, var9, var10, var11, var12, var13)) != 0) {
               XLog.e("groupInitParaHandle 失败：" + var25);
               this.setLatestResult(new Result("IE1013"));
               return null;
            } else {
               var32 = var3;
               long var23 = this.handleArray[0];
               this.storeLong(this.context, groupId, "handleArray", var23);
               this.random = this.retrieveString(this.context, groupId, "random");
               this.PK_X_x = this.retrieveByteArray(this.context, groupId, "PK_X_x");
               this.PK_X_y = this.retrieveByteArray(this.context, groupId, "PK_X_y");
               this.PK_Y_x = this.retrieveByteArray(this.context, groupId, "PK_Y_x");
               this.PK_Y_y = this.retrieveByteArray(this.context, groupId, "PK_Y_y");
               var23 = this.handleArray[0];
               var5 = Base64.decode(this.random, 2);
               var6 = this.PK_X_x;
               var7 = this.PK_X_y;
               var8 = this.PK_Y_x;
               var9 = this.PK_Y_y;
               var10 = this.prikey_f;
               var11 = this.F_x;
               var12 = this.F_y;
               byte[] var31 = this.v;
               byte[] var14 = this.w;
               int var24;
               if ((var24 = var32.groupGenFvwf(var23, var5, var6, var7, var8, var9, var10, var11, var12, var31, var14)) != 0) {
                  XLog.e("groupGenFvwf 失败：" + var24);
                  this.setLatestResult(new Result("IE1013"));
                  return null;
               } else {
                  Context var26 = this.context;
                  var4 = this.prikey_f;
                  this.storeByteArray(var26, groupId, "prikey_f", var4);
                  var26 = this.context;
                  var4 = this.F_x;
                  this.storeByteArray(var26, groupId, "F_x", var4);
                  var26 = this.context;
                  var4 = this.F_y;
                  this.storeByteArray(var26, groupId, "F_y", var4);
                  var26 = this.context;
                  var4 = this.v;
                  this.storeByteArray(var26, groupId, "v", var4);
                  var26 = this.context;
                  var4 = this.w;
                  this.storeByteArray(var26, groupId, "w", var4);
                  String var28;
                  var28 = new String.<init>(Base64.encode(this.F_x, 2));
                  String var29;
                  var29 = new String.<init>(Base64.encode(this.F_y, 2));
                  String var27;
                  var27 = new String.<init>(Base64.encode(this.v, 2));
                  String var30;
                  var30 = new String.<init>(Base64.encode(this.w, 2));
                  JSONObject var33 = new JSONObject;
                  JSONObject var34 = var33;
                  JSONObject var10003 = var33;
                  GroupSignManager var37 = this;
                  JSONObject var10004 = var33;
                  JSONObject var10005 = var33;
                  JSONObject var10006 = var33;
                  var33.<init>();

                  String var21;
                  label57: {
                     JSONException var35;
                     label69: {
                        boolean var36;
                        try {
                           var10006.put("F_x", var28);
                        } catch (JSONException var19) {
                           var35 = var19;
                           var36 = false;
                           break label69;
                        }

                        try {
                           var10005.put("F_y", var29);
                        } catch (JSONException var18) {
                           var35 = var18;
                           var36 = false;
                           break label69;
                        }

                        try {
                           var10004.put("v", var27);
                        } catch (JSONException var17) {
                           var35 = var17;
                           var36 = false;
                           break label69;
                        }

                        try {
                           var10003.put("w", var30);
                        } catch (JSONException var16) {
                           var35 = var16;
                           var36 = false;
                           break label69;
                        }

                        var21 = "random";

                        try {
                           var34.put(var21, var37.random);
                           break label57;
                        } catch (JSONException var15) {
                           var35 = var15;
                           var36 = false;
                        }
                     }

                     JSONException var22 = var35;
                     throw new RuntimeException(var22);
                  }

                  var21 = var33.toString();
                  HashMap var38 = new HashMap();
                  var38.put("groupId", groupId);
                  var38.put("username", username);
                  var38.put("imei", Util.getIdentifier(IMSSdk.mContext));
                  var38.put("medianValue", Base64.encodeToString(var21.getBytes(), 2));
                  return var38;
               }
            }
         }
      } else {
         GroupSignManager var10000 = this;
         Logger var10001 = IMSSdk.mLogger;
         Level var10002 = Level.SEVERE;
         String[] var20;
         (var20 = new String[1])[0] = groupId;
         var10001.log(var10002, "publishMemberEnd 失败:groupId 参数不合法", var20);
         XLog.d("publishMemberEnd 失败:groupId 参数不合法" + Arrays.toString(new String[]{groupId}));
         var10000.setLatestResult(new Result("IE1013"));
         return null;
      }
   }

   private Result publishMemberEndFinal(JSONObject responseData) {
      JSONException var10000;
      label335: {
         boolean var10001;
         Result var53;
         try {
            var53 = this.checkResponseData(responseData);
         } catch (JSONException var47) {
            var10000 = var47;
            var10001 = false;
            break label335;
         }

         Result var2 = var53;
         String var54 = "000000";

         boolean var55;
         try {
            var55 = TextUtils.equals(var54, var2.getResultID());
         } catch (JSONException var46) {
            var10000 = var46;
            var10001 = false;
            break label335;
         }

         if (!var55) {
            return var2;
         }

         JSONObject var10002;
         String var10003;
         GroupSignManager var56;
         try {
            var53 = var2;
            var56 = this;
            var10002 = responseData;
            var10003 = responseData.optString("signCertificate");
         } catch (JSONException var45) {
            var10000 = var45;
            var10001 = false;
            break label335;
         }

         String var3 = var10003;

         String var10004;
         JSONObject var10005;
         JSONObject var10006;
         String var10007;
         String var57;
         GroupSignManager var59;
         try {
            var57 = var10002.optString("groupOpeningKey");
            var59 = this;
            var10004 = var3;
            var10005 = responseData;
            var10006 = responseData;
            var10007 = responseData.optString("groupId");
         } catch (JSONException var44) {
            var10000 = var44;
            var10001 = false;
            break label335;
         }

         var3 = var10007;

         try {
            var10006.optString("random");
         } catch (JSONException var43) {
            var10000 = var43;
            var10001 = false;
            break label335;
         }

         try {
            var10005.optString("random");
         } catch (JSONException var42) {
            var10000 = var42;
            var10001 = false;
            break label335;
         }

         byte[] var61;
         try {
            var61 = Base64.decode(var10004, 2);
         } catch (JSONException var41) {
            var10000 = var41;
            var10001 = false;
            break label335;
         }

         byte[] var4 = var61;

         try {
            var10004 = new String;
         } catch (JSONException var40) {
            var10000 = var40;
            var10001 = false;
            break label335;
         }

         String var5 = var10004;

         JSONObject var62;
         try {
            var10004.<init>(var4);
            var62 = new JSONObject;
         } catch (JSONException var39) {
            var10000 = var39;
            var10001 = false;
            break label335;
         }

         JSONObject var50 = var62;

         GroupSignManager var10008;
         GroupSignManager var10009;
         JSONObject var10010;
         GroupSignManager var10011;
         GroupSignManager var10012;
         JSONObject var10013;
         GroupSignManager var10014;
         GroupSignManager var10015;
         JSONObject var10016;
         GroupSignManager var10017;
         GroupSignManager var10018;
         JSONObject var10019;
         GroupSignManager var10020;
         GroupSignManager var10021;
         JSONObject var10022;
         GroupSignManager var10023;
         GroupSignManager var10024;
         JSONObject var10025;
         Context var10026;
         GroupSignManager var63;
         GroupSignManager var66;
         JSONObject var69;
         try {
            var63 = this;
            var66 = this;
            var69 = var50;
            var10008 = this;
            var10009 = this;
            var10010 = var50;
            var10011 = this;
            var10012 = this;
            var10013 = var50;
            var10014 = this;
            var10015 = this;
            var10016 = var50;
            var10017 = this;
            var10018 = this;
            var10019 = var50;
            var10020 = this;
            var10021 = this;
            var10022 = var50;
            var10023 = this;
            var10024 = this;
            var10025 = var50;
            var50.<init>(var5);
            this.A_x = Base64.decode(var50.optString("A_x"), 2);
            this.A_y = Base64.decode(var50.optString("A_y"), 2);
            this.B_x = Base64.decode(var50.optString("B_x"), 2);
            this.B_y = Base64.decode(var50.optString("B_y"), 2);
            this.C_x = Base64.decode(var50.optString("C_x"), 2);
            this.C_y = Base64.decode(var50.optString("C_y"), 2);
            this.D_x = Base64.decode(var50.optString("D_x"), 2);
            this.D_y = Base64.decode(var50.optString("D_y"), 2);
            var10026 = this.context;
         } catch (JSONException var38) {
            var10000 = var38;
            var10001 = false;
            break label335;
         }

         Context var51 = var10026;
         var5 = "A_x";

         String var97;
         try {
            var97 = var10025.optString("A_x");
         } catch (JSONException var37) {
            var10000 = var37;
            var10001 = false;
            break label335;
         }

         String var6 = var97;

         Context var96;
         try {
            var10024.storeByteArray(var51, var3, var5, var6);
            var96 = var10023.context;
         } catch (JSONException var36) {
            var10000 = var36;
            var10001 = false;
            break label335;
         }

         var51 = var96;
         var5 = "A_y";

         String var95;
         try {
            var95 = var10022.optString("A_y");
         } catch (JSONException var35) {
            var10000 = var35;
            var10001 = false;
            break label335;
         }

         var6 = var95;

         Context var94;
         try {
            var10021.storeByteArray(var51, var3, var5, var6);
            var94 = var10020.context;
         } catch (JSONException var34) {
            var10000 = var34;
            var10001 = false;
            break label335;
         }

         var51 = var94;
         var5 = "B_x";

         String var93;
         try {
            var93 = var10019.optString("B_x");
         } catch (JSONException var33) {
            var10000 = var33;
            var10001 = false;
            break label335;
         }

         var6 = var93;

         Context var89;
         try {
            var10018.storeByteArray(var51, var3, var5, var6);
            var89 = var10017.context;
         } catch (JSONException var32) {
            var10000 = var32;
            var10001 = false;
            break label335;
         }

         var51 = var89;
         var5 = "B_y";

         String var87;
         try {
            var87 = var10016.optString("B_y");
         } catch (JSONException var31) {
            var10000 = var31;
            var10001 = false;
            break label335;
         }

         var6 = var87;

         Context var83;
         try {
            var10015.storeByteArray(var51, var3, var5, var6);
            var83 = var10014.context;
         } catch (JSONException var30) {
            var10000 = var30;
            var10001 = false;
            break label335;
         }

         var51 = var83;
         var5 = "C_x";

         String var81;
         try {
            var81 = var10013.optString("C_x");
         } catch (JSONException var29) {
            var10000 = var29;
            var10001 = false;
            break label335;
         }

         var6 = var81;

         Context var77;
         try {
            var10012.storeByteArray(var51, var3, var5, var6);
            var77 = var10011.context;
         } catch (JSONException var28) {
            var10000 = var28;
            var10001 = false;
            break label335;
         }

         var51 = var77;
         var5 = "C_y";

         String var75;
         try {
            var75 = var10010.optString("C_y");
         } catch (JSONException var27) {
            var10000 = var27;
            var10001 = false;
            break label335;
         }

         var6 = var75;

         Context var71;
         try {
            var10009.storeByteArray(var51, var3, var5, var6);
            var71 = var10008.context;
         } catch (JSONException var26) {
            var10000 = var26;
            var10001 = false;
            break label335;
         }

         var51 = var71;
         var5 = "D_x";

         try {
            var10007 = var69.optString("D_x");
         } catch (JSONException var25) {
            var10000 = var25;
            var10001 = false;
            break label335;
         }

         var6 = var10007;

         Context var64;
         try {
            var66.storeByteArray(var51, var3, var5, var6);
            var64 = var63.context;
         } catch (JSONException var24) {
            var10000 = var24;
            var10001 = false;
            break label335;
         }

         var51 = var64;
         var5 = "D_y";

         try {
            var10004 = var62.optString("D_y");
         } catch (JSONException var23) {
            var10000 = var23;
            var10001 = false;
            break label335;
         }

         var6 = var10004;

         byte[] var58;
         try {
            var59.storeByteArray(var51, var3, var5, var6);
            var58 = Base64.decode(var57, 2);
         } catch (JSONException var22) {
            var10000 = var22;
            var10001 = false;
            break label335;
         }

         var4 = var58;

         try {
            var57 = new String;
         } catch (JSONException var21) {
            var10000 = var21;
            var10001 = false;
            break label335;
         }

         var5 = var57;

         try {
            var57.<init>(var4);
            var10002 = new JSONObject;
         } catch (JSONException var20) {
            var10000 = var20;
            var10001 = false;
            break label335;
         }

         var50 = var10002;

         GroupSignManager var65;
         GroupSignManager var70;
         JSONObject var72;
         GroupSignManager var76;
         JSONObject var78;
         GroupSignManager var82;
         JSONObject var84;
         GroupSignManager var88;
         JSONObject var90;
         Context var92;
         try {
            var59 = this;
            var65 = this;
            var10005 = var50;
            var66 = this;
            var70 = this;
            var72 = var50;
            var10009 = this;
            var76 = this;
            var78 = var50;
            var10012 = this;
            var82 = this;
            var84 = var50;
            var10015 = this;
            var88 = this;
            var90 = var50;
            var50.<init>(var5);
            this.opk_Q_x = Base64.decode(var50.optString("opk_Q_x"), 2);
            this.opk_Q_y = Base64.decode(var50.optString("opk_Q_y"), 2);
            this.opk_V_x = Base64.decode(var50.optString("opk_V_x"), 2);
            this.opk_V_y = Base64.decode(var50.optString("opk_V_y"), 2);
            this.opk_W_x = Base64.decode(var50.optString("opk_W_x"), 2);
            this.opk_W_y = Base64.decode(var50.optString("opk_W_y"), 2);
            var92 = this.context;
         } catch (JSONException var19) {
            var10000 = var19;
            var10001 = false;
            break label335;
         }

         Context var48 = var92;
         String var52 = "opk_Q_x";

         String var91;
         try {
            var91 = var90.optString("opk_Q_x");
         } catch (JSONException var18) {
            var10000 = var18;
            var10001 = false;
            break label335;
         }

         var5 = var91;

         Context var86;
         try {
            var88.storeByteArray(var48, var3, var52, var5);
            var86 = var10015.context;
         } catch (JSONException var17) {
            var10000 = var17;
            var10001 = false;
            break label335;
         }

         var48 = var86;
         var52 = "opk_Q_y";

         String var85;
         try {
            var85 = var84.optString("opk_Q_y");
         } catch (JSONException var16) {
            var10000 = var16;
            var10001 = false;
            break label335;
         }

         var5 = var85;

         Context var80;
         try {
            var82.storeByteArray(var48, var3, var52, var5);
            var80 = var10012.context;
         } catch (JSONException var15) {
            var10000 = var15;
            var10001 = false;
            break label335;
         }

         var48 = var80;
         var52 = "opk_V_x";

         String var79;
         try {
            var79 = var78.optString("opk_V_x");
         } catch (JSONException var14) {
            var10000 = var14;
            var10001 = false;
            break label335;
         }

         var5 = var79;

         Context var74;
         try {
            var76.storeByteArray(var48, var3, var52, var5);
            var74 = var10009.context;
         } catch (JSONException var13) {
            var10000 = var13;
            var10001 = false;
            break label335;
         }

         var48 = var74;
         var52 = "opk_V_y";

         String var73;
         try {
            var73 = var72.optString("opk_V_y");
         } catch (JSONException var12) {
            var10000 = var12;
            var10001 = false;
            break label335;
         }

         var5 = var73;

         Context var68;
         try {
            var70.storeByteArray(var48, var3, var52, var5);
            var68 = var66.context;
         } catch (JSONException var11) {
            var10000 = var11;
            var10001 = false;
            break label335;
         }

         var48 = var68;
         var52 = "opk_W_x";

         String var67;
         try {
            var67 = var10005.optString("opk_W_x");
         } catch (JSONException var10) {
            var10000 = var10;
            var10001 = false;
            break label335;
         }

         var5 = var67;

         Context var60;
         try {
            var65.storeByteArray(var48, var3, var52, var5);
            var60 = var59.context;
         } catch (JSONException var9) {
            var10000 = var9;
            var10001 = false;
            break label335;
         }

         var48 = var60;
         var52 = "opk_W_y";

         try {
            var57 = var10002.optString("opk_W_y");
         } catch (JSONException var8) {
            var10000 = var8;
            var10001 = false;
            break label335;
         }

         var5 = var57;

         try {
            var56.storeByteArray(var48, var3, var52, var5);
            XLog.d("publishMemberEnd 成功：" + var2.getResultID());
            return var53;
         } catch (JSONException var7) {
            var10000 = var7;
            var10001 = false;
         }
      }

      JSONException var49 = var10000;
      IMSSdk.mLogger.log(Level.SEVERE, "publishMemberEnd 失败:JSON异常", var49);
      XLog.d("publishMemberEnd 失败:JSON异常" + var49);
      return new Result("IE1008", responseData.toString());
   }

   private Map<String, String> verifyGroupSignatureBegin(String groupId, String signValue, byte[] plain, byte[] bsn) {
      if (!TextUtils.isEmpty(groupId) && groupId.length() <= 64) {
         if (TextUtils.isEmpty(signValue)) {
            IMSSdk.mLogger.log(Level.SEVERE, "verifyGroupSignatureBegin 失败:signValue 为空");
            XLog.d("verifyGroupSignatureBegin 失败:signValue 为空");
            this.setLatestResult(new Result("IE1013"));
            return null;
         } else {
            HashMap var6;
            HashMap var7 = var6 = new HashMap;
            var6.<init>();
            var6.put("groupId", groupId);
            var6.put("text", Base64.encodeToString(plain, 2));
            var7.put("bsn", Base64.encodeToString(bsn, 2));
            var7.put("signValue", signValue);
            return var7;
         }
      } else {
         GroupSignManager var10000 = this;
         Logger var10001 = IMSSdk.mLogger;
         Level var10002 = Level.SEVERE;
         String[] var5;
         (var5 = new String[1])[0] = groupId;
         var10001.log(var10002, "verifyGroupSignatureBegin 失败:groupId 参数不合法", var5);
         XLog.d("verifyGroupSignatureBegin 失败:groupId 参数不合法" + Arrays.toString(new String[]{groupId}));
         var10000.setLatestResult(new Result("IE1013"));
         return null;
      }
   }

   private Result verifyGroupSignatureFinal(JSONObject responseData) {
      JSONException var10000;
      label31: {
         boolean var10001;
         Result var7;
         try {
            var7 = this.checkResponseData(responseData);
         } catch (JSONException var4) {
            var10000 = var4;
            var10001 = false;
            break label31;
         }

         Result var5 = var7;
         String var8 = "000000";

         boolean var9;
         try {
            var9 = TextUtils.equals(var8, var5.getResultID());
         } catch (JSONException var3) {
            var10000 = var3;
            var10001 = false;
            break label31;
         }

         if (!var9) {
            return var5;
         }

         try {
            XLog.d("verifyGroupSignature 成功");
            return var5;
         } catch (JSONException var2) {
            var10000 = var2;
            var10001 = false;
         }
      }

      JSONException var6 = var10000;
      IMSSdk.mLogger.log(Level.SEVERE, "verifyGroupSignatureFinal 失败:JSON异常", var6);
      XLog.d("verifyGroupSignatureFinal 失败:JSON异常" + var6);
      return new Result("IE1008", responseData.toString());
   }

   private Map<String, String> deleteGroupBegin(String groupIdentify) {
      if (!TextUtils.isEmpty(groupIdentify) && groupIdentify.length() <= 64) {
         HashMap var2 = new HashMap();
         var2.put("groupId", groupIdentify);
         return var2;
      } else {
         GroupSignManager var10000 = this;
         Logger var10001 = IMSSdk.mLogger;
         Level var10002 = Level.SEVERE;
         String[] var3;
         (var3 = new String[1])[0] = groupIdentify;
         var10001.log(var10002, "deleteGroupBegin 失败:参数不合法", var3);
         XLog.d("deleteGroupBegin 失败:参数不合法" + Arrays.toString(new String[]{groupIdentify}));
         var10000.setLatestResult(new Result("IE1013"));
         return null;
      }
   }

   private Result deleteGroupFinal(String groupId, JSONObject responseData) {
      JSONException var10000;
      label31: {
         Result var8;
         boolean var10001;
         try {
            var8 = this.checkResponseData(responseData);
         } catch (JSONException var6) {
            var10000 = var6;
            var10001 = false;
            break label31;
         }

         Result var3 = var8;
         String var9 = "000000";

         boolean var10;
         try {
            var10 = TextUtils.equals(var9, var3.getResultID());
         } catch (JSONException var5) {
            var10000 = var5;
            var10001 = false;
            break label31;
         }

         if (!var10) {
            return var3;
         }

         try {
            XLog.d("deleteGroup 成功");
            this.storeByteArray(this.context, groupId, "groupId", "");
            return var3;
         } catch (JSONException var4) {
            var10000 = var4;
            var10001 = false;
         }
      }

      JSONException var7 = var10000;
      IMSSdk.mLogger.log(Level.SEVERE, "deleteGroupFinal 失败:JSON异常", var7);
      XLog.d("deleteGroupFinal 失败:JSON异常" + var7);
      return new Result("IE1008", responseData.toString());
   }

   private void storeByteArray(Context context, String name, String key, byte[] value) {
      SharedPreferences.Editor var10000 = context.getSharedPreferences(name, 0).edit();
      var10000.putString(key, Base64.encodeToString(value, 2));
      var10000.apply();
   }

   private void storeByteArray(Context context, String name, String key, String value) {
      SharedPreferences.Editor var10000 = context.getSharedPreferences(name, 0).edit();
      var10000.putString(key, value);
      var10000.apply();
   }

   private void storeLong(Context context, String name, String key, long value) {
      SharedPreferences.Editor var10000 = context.getSharedPreferences(name, 0).edit();
      var10000.putLong(key, value);
      var10000.apply();
   }

   private byte[] retrieveByteArray(Context context, String name, String key) {
      String var4;
      return (var4 = context.getSharedPreferences(name, 0).getString(key, (String)null)) != null ? Base64.decode(var4, 2) : null;
   }

   private String retrieveString(Context context, String name, String key) {
      return context.getSharedPreferences(name, 0).getString(key, (String)null);
   }

   private long retrieveLong(Context context, String name, String key) {
      return context.getSharedPreferences(name, 0).getLong(key, 0L);
   }

   public Result getLatestResult() {
      return this.latestResult;
   }

   public void setLatestResult(Result latestResult) {
      this.latestResult = latestResult;
   }

   public void createGroup(@NonNull String groupIdentify, @NonNull Result.ResultListener resultListener) {
      Map groupIdentify1;
      if ((groupIdentify1 = this.createGroupBegin(groupIdentify)) == null) {
         resultListener.handleResult(this.getLatestResult());
      } else {
         NetworkInterface var10000 = IMSSdk.networkInterface;
         String var10001 = "/".concat(IMSSdk.APP_NAME).concat("/group/createGroup");
         Map var10002 = groupIdentify1;
         NetworkInterface.NetworkCallback groupIdentify2;
         groupIdentify2 = new NetworkInterface.NetworkCallback<JSONObject>() {
            // $FF: synthetic field
            final Result.ResultListener val$resultListener;

            {
               this.val$resultListener = var2;
            }

            public void onSucceed(@NonNull JSONObject callbackData) {
               callbackData = super.decodeFilter(callbackData);
               this.val$resultListener.handleResult(GroupSignManager.this.createGroupFinal(callbackData));
            }

            public void onFailed(@NonNull String errorMsg) {
               <undefinedtype> var10000 = this;
               Result var2;
               var2 = new Result.<init>("IE1007", errorMsg);
               var10000.val$resultListener.handleResult(var2);
               IMSSdk.mLogger.log(Level.SEVERE, "createGroup 失败:".concat(errorMsg));
               XLog.d("createGroup 失败:".concat(errorMsg));
            }
         }.<init>(resultListener);
         var10000.httpPost(var10001, var10002, groupIdentify2);
      }
   }

   public void getGroupInfo(String groupId, String groupIdentify, @NonNull Result.ResultListener resultListener) {
      Map groupId1;
      if ((groupId1 = this.getGroupInfoBegin(groupId, groupIdentify)) == null) {
         resultListener.handleResult(this.getLatestResult());
      } else {
         NetworkInterface var10000 = IMSSdk.networkInterface;
         String var10001 = "/".concat(IMSSdk.APP_NAME).concat("/group/getGroupInfo");
         Map var10002 = groupId1;
         NetworkInterface.NetworkCallback groupId2;
         groupId2 = new NetworkInterface.NetworkCallback<JSONObject>() {
            // $FF: synthetic field
            final Result.ResultListener val$resultListener;

            {
               this.val$resultListener = var2;
            }

            public void onSucceed(@NonNull JSONObject callbackData) {
               callbackData = super.decodeFilter(callbackData);
               this.val$resultListener.handleResult(GroupSignManager.this.getGroupInfoFinal(callbackData));
            }

            public void onFailed(@NonNull String errorMsg) {
               <undefinedtype> var10000 = this;
               Result var2;
               var2 = new Result.<init>("IE1007", errorMsg);
               var10000.val$resultListener.handleResult(var2);
               IMSSdk.mLogger.log(Level.SEVERE, "getGroupInfo 失败:".concat(errorMsg));
               XLog.d("getGroupInfo 失败:".concat(errorMsg));
            }
         }.<init>(resultListener);
         var10000.httpPost(var10001, var10002, groupId2);
      }
   }

   public Result publishMember(@NonNull String groupId, @NonNull String username, @NonNull String PIN, @NonNull String authInfo) {
      Map authInfo1;
      if ((authInfo1 = this.publishMemberStartBegin(groupId, username, PIN)) == null) {
         return this.getLatestResult();
      } else {
         JSONObject authInfo2;
         if ((authInfo2 = IMSSdk.networkInterface.httpPost("/".concat(IMSSdk.APP_NAME).concat("/group/publishMemberStart"), authInfo1)) == null) {
            XLog.d("publishMemberStart 失败，responseData == null");
            return new Result("IE1015", "publishMemberStart 失败，responseData == null");
         } else {
            IMSSdk.networkInterface.decodeFilter(authInfo2);
            Result authInfo3;
            if (!TextUtils.equals("000000", (authInfo3 = this.publishMemberStartFinal(groupId, authInfo2)).getResultID())) {
               XLog.e("publishMemberStart 失败：result " + authInfo3.getResultID());
               return authInfo3;
            } else if ((authInfo1 = this.publishMemberEndBegin(groupId, username)) == null) {
               return this.getLatestResult();
            } else if ((authInfo2 = IMSSdk.networkInterface.httpPost("/".concat(IMSSdk.APP_NAME).concat("/group/publishMemberEnd"), authInfo1)) == null) {
               XLog.d("publishMemberEnd 失败，responseData == null");
               return new Result("IE1015", "publishMemberEnd 失败，responseData == null");
            } else {
               IMSSdk.networkInterface.decodeFilter(authInfo2);
               if (!TextUtils.equals("000000", (authInfo3 = this.publishMemberEndFinal(authInfo2)).getResultID())) {
                  XLog.e("publishMemberEnd 失败：result " + authInfo3.getResultID());
               } else {
                  GroupSignManager var10000 = this;
                  this.storeByteArray(this.context, groupId, "username", username);
                  this.storeByteArray(this.context, groupId, "groupId", groupId);
                  Context var5 = this.context;
                  username = username.concat("_").concat("PIN");
                  var10000.storeByteArray(var5, groupId, username, PIN);
               }

               return authInfo3;
            }
         }
      }
   }

   public void groupSignature(@NonNull String groupId, byte[] plain, byte[] nv, byte[] bsn, @NonNull String username, @NonNull String PIN, @NonNull Result.ResultListener resultListener) {
      Logger var10001;
      Level var10002;
      String[] var64;
      if (!TextUtils.isEmpty(groupId) && groupId.length() <= 64) {
         if (!TextUtils.isEmpty(username) && !TextUtils.isEmpty(PIN)) {
            String var104 = username;
            Context username1 = this.context;
            String var8 = var104.concat("_").concat("PIN");
            if (!TextUtils.equals(this.retrieveString(username1, groupId, var8), PIN)) {
               var10001 = IMSSdk.mLogger;
               var10002 = Level.SEVERE;
               (var64 = new String[1])[0] = groupId;
               var10001.log(var10002, "groupSignature 失败:PIN 验证失败", var64);
               XLog.d("groupSignature 失败:PIN 验证失败" + Arrays.toString(new String[]{groupId}));
               resultListener.handleResult(new Result("IE1013", "PIN 验证失败：" + groupId));
            } else if (plain != null && plain.length != 0) {
               if (nv != null && nv.length != 0) {
                  if (bsn != null && bsn.length != 0) {
                     long[] var10000 = this.handleArray;
                     long username2 = this.retrieveLong(this.context, groupId, "handleArray");
                     var10000[0] = username2;
                     SM9 username3;
                     SM9 var101 = username3 = new SM9;
                     username3.<init>();
                     long var79 = this.handleArray[0];
                     int PIN1 = bsn.length;
                     byte[] var10 = this.J_x;
                     byte[] var11 = this.J_y;
                     if ((PIN1 = var101.groupSignGenJ(var79, bsn, PIN1, var10, var11)) != 0) {
                        XLog.e("groupSignGenJ 失败：" + PIN1);
                        resultListener.handleResult(new Result("IE1013", "groupSignGenJ 失败：" + PIN1));
                     } else {
                        this.prikey_f = this.retrieveByteArray(this.context, groupId, "prikey_f");
                        this.F_x = this.retrieveByteArray(this.context, groupId, "F_x");
                        byte[] PIN2;
                        this.F_y = PIN2 = this.retrieveByteArray(this.context, groupId, "F_y");
                        var79 = this.handleArray[0];
                        var10 = this.prikey_f;
                        var11 = this.F_x;
                        int var12 = bsn.length;
                        int var13 = nv.length;
                        int var14 = plain.length;
                        byte[] var15 = this.J_x;
                        byte[] var16 = this.J_y;
                        byte[] var17 = this.c1;
                        byte[] var18 = this.s1;
                        byte[] var19 = this.K_x;
                        byte[] var20 = this.K_y;
                        if ((PIN1 = username3.groupSignGenKc1s1(var79, var10, var11, PIN2, bsn, var12, nv, var13, plain, var14, var15, var16, var17, var18, var19, var20)) != 0) {
                           XLog.e("groupSignGenKc1s1 失败：" + PIN1);
                           resultListener.handleResult(new Result("IE1013", "groupSignGenKc1s1 失败：" + PIN1));
                        } else {
                           var101 = username3;
                           this.opk_Q_x = this.retrieveByteArray(this.context, groupId, "opk_Q_x");
                           this.opk_Q_y = this.retrieveByteArray(this.context, groupId, "opk_Q_y");
                           this.opk_V_x = this.retrieveByteArray(this.context, groupId, "opk_V_x");
                           this.opk_V_y = this.retrieveByteArray(this.context, groupId, "opk_V_y");
                           this.opk_W_x = this.retrieveByteArray(this.context, groupId, "opk_W_x");
                           this.opk_W_y = this.retrieveByteArray(this.context, groupId, "opk_W_y");
                           this.A_x = this.retrieveByteArray(this.context, groupId, "A_x");
                           this.A_y = this.retrieveByteArray(this.context, groupId, "A_y");
                           this.B_x = this.retrieveByteArray(this.context, groupId, "B_x");
                           this.B_y = this.retrieveByteArray(this.context, groupId, "B_y");
                           this.C_x = this.retrieveByteArray(this.context, groupId, "C_x");
                           this.C_y = this.retrieveByteArray(this.context, groupId, "C_y");
                           this.D_x = this.retrieveByteArray(this.context, groupId, "D_x");
                           byte[] username4;
                           this.D_y = username4 = this.retrieveByteArray(this.context, groupId, "D_y");
                           var79 = this.handleArray[0];
                           PIN2 = this.opk_Q_x;
                           var10 = this.opk_Q_y;
                           var11 = this.opk_V_x;
                           byte[] var82 = this.opk_V_y;
                           byte[] var84 = this.opk_W_x;
                           byte[] var86 = this.opk_W_y;
                           var15 = this.F_x;
                           var16 = this.F_y;
                           var17 = this.A_x;
                           var18 = this.A_y;
                           var19 = this.B_x;
                           var20 = this.B_y;
                           byte[] var21 = this.C_x;
                           byte[] var22 = this.C_y;
                           byte[] var23 = this.D_x;
                           byte[] var24 = this.A_out_x;
                           byte[] var25 = this.A_out_y;
                           byte[] var26 = this.B_out_x;
                           byte[] var27 = this.B_out_y;
                           byte[] var28 = this.C_out_x;
                           byte[] var29 = this.C_out_y;
                           byte[] var30 = this.D_out_x;
                           byte[] var31 = this.D_out_y;
                           byte[] var32 = this.C1_x;
                           byte[] var33 = this.C1_y;
                           byte[] var34 = this.C2_x;
                           byte[] var35 = this.C2_y;
                           byte[] var36 = this.C3_x;
                           byte[] var37 = this.C3_y;
                           int username5;
                           if ((username5 = var101.groupSignGenFinal(var79, PIN2, var10, var11, var82, var84, var86, var15, var16, var17, var18, var19, var20, var21, var22, var23, username4, var24, var25, var26, var27, var28, var29, var30, var31, var32, var33, var34, var35, var36, var37)) != 0) {
                              XLog.e("groupSignGenFinal 失败：" + username5);
                              resultListener.handleResult(new Result("IE1013", "groupSignGenFinal 失败：" + username5));
                           } else {
                              Result.ResultListener var102 = resultListener;
                              GroupSignManager var105 = this;
                              byte[] var107 = bsn;
                              GroupSignManager var10003 = this;
                              GroupSignManager var10004 = this;
                              byte[] var10005 = plain;
                              GroupSignManager var10006 = this;
                              username = new String.<init>(Base64.encode(this.A_out_x, 2));
                              PIN = new String.<init>(Base64.encode(this.A_out_y, 2));
                              String resultListener1;
                              resultListener1 = new String.<init>(Base64.encode(this.B_out_x, 2));
                              var8 = new String.<init>(Base64.encode(this.B_out_y, 2));
                              String var9;
                              var9 = new String.<init>(Base64.encode(this.C_out_x, 2));
                              String var80;
                              var80 = new String.<init>(Base64.encode(this.C_out_y, 2));
                              String var81;
                              var81 = new String.<init>(Base64.encode(this.D_out_x, 2));
                              String var83;
                              var83 = new String.<init>(Base64.encode(this.D_out_y, 2));
                              String var85;
                              var85 = new String.<init>(Base64.encode(this.K_x, 2));
                              String var87;
                              var87 = new String.<init>(Base64.encode(this.K_y, 2));
                              String var88;
                              var88 = new String.<init>(Base64.encode(this.J_x, 2));
                              String var89;
                              var89 = new String.<init>(Base64.encode(this.J_y, 2));
                              String var90;
                              var90 = new String.<init>(Base64.encode(this.C1_x, 2));
                              String var91;
                              var91 = new String.<init>(Base64.encode(this.C1_y, 2));
                              String var92;
                              var92 = new String.<init>(Base64.encode(this.C2_x, 2));
                              String var93;
                              var93 = new String.<init>(Base64.encode(this.C2_y, 2));
                              String var94;
                              var94 = new String.<init>(Base64.encode(this.C3_x, 2));
                              String var95;
                              var95 = new String.<init>(Base64.encode(this.C3_y, 2));
                              String var96;
                              var96 = new String.<init>(Base64.encode(this.c1, 2));
                              String var97;
                              var97 = new String.<init>(Base64.encode(this.s1, 2));
                              String var65;
                              var65 = new String.<init>(Base64.encode(nv, 2));
                              String nv1 = String.valueOf(nv.length);
                              String var98;
                              var98 = new String.<init>(Base64.encode(bsn, 2));
                              String bsn1 = String.valueOf(bsn.length);
                              String var99;
                              var99 = new String.<init>(Base64.encode(plain, 2));
                              String plain1 = String.valueOf(plain.length);
                              JSONObject var10007 = new JSONObject;
                              JSONObject var10008 = var10007;
                              JSONObject var10009 = var10007;
                              JSONObject var10010 = var10007;
                              JSONObject var10011 = var10007;
                              JSONObject var10012 = var10007;
                              JSONObject var10013 = var10007;
                              JSONObject var10014 = var10007;
                              JSONObject var10015 = var10007;
                              JSONObject var10016 = var10007;
                              JSONObject var10017 = var10007;
                              JSONObject var10018 = var10007;
                              JSONObject var10019 = var10007;
                              JSONObject var10020 = var10007;
                              JSONObject var10021 = var10007;
                              JSONObject var10022 = var10007;
                              JSONObject var10023 = var10007;
                              JSONObject var10024 = var10007;
                              JSONObject var10025 = var10007;
                              JSONObject var10026 = var10007;
                              JSONObject var10027 = var10007;
                              JSONObject var10028 = var10007;
                              JSONObject var10029 = var10007;
                              JSONObject var10030 = var10007;
                              JSONObject var10031 = var10007;
                              JSONObject var100;
                              JSONObject var10032 = var100 = var10007;
                              var10007.<init>();

                              label244: {
                                 JSONException var103;
                                 label270: {
                                    boolean var106;
                                    try {
                                       var10032.put("A_out_x", username);
                                    } catch (JSONException var63) {
                                       var103 = var63;
                                       var106 = false;
                                       break label270;
                                    }

                                    try {
                                       var10031.put("A_out_y", PIN);
                                    } catch (JSONException var62) {
                                       var103 = var62;
                                       var106 = false;
                                       break label270;
                                    }

                                    try {
                                       var10030.put("B_out_x", resultListener1);
                                    } catch (JSONException var61) {
                                       var103 = var61;
                                       var106 = false;
                                       break label270;
                                    }

                                    try {
                                       var10029.put("B_out_y", var8);
                                    } catch (JSONException var60) {
                                       var103 = var60;
                                       var106 = false;
                                       break label270;
                                    }

                                    try {
                                       var10028.put("C_out_x", var9);
                                    } catch (JSONException var59) {
                                       var103 = var59;
                                       var106 = false;
                                       break label270;
                                    }

                                    try {
                                       var10027.put("C_out_y", var80);
                                    } catch (JSONException var58) {
                                       var103 = var58;
                                       var106 = false;
                                       break label270;
                                    }

                                    try {
                                       var10026.put("D_out_x", var81);
                                    } catch (JSONException var57) {
                                       var103 = var57;
                                       var106 = false;
                                       break label270;
                                    }

                                    try {
                                       var10025.put("D_out_y", var83);
                                    } catch (JSONException var56) {
                                       var103 = var56;
                                       var106 = false;
                                       break label270;
                                    }

                                    try {
                                       var10024.put("K_x", var85);
                                    } catch (JSONException var55) {
                                       var103 = var55;
                                       var106 = false;
                                       break label270;
                                    }

                                    try {
                                       var10023.put("K_y", var87);
                                    } catch (JSONException var54) {
                                       var103 = var54;
                                       var106 = false;
                                       break label270;
                                    }

                                    try {
                                       var10022.put("J_x", var88);
                                    } catch (JSONException var53) {
                                       var103 = var53;
                                       var106 = false;
                                       break label270;
                                    }

                                    try {
                                       var10021.put("J_y", var89);
                                    } catch (JSONException var52) {
                                       var103 = var52;
                                       var106 = false;
                                       break label270;
                                    }

                                    try {
                                       var10020.put("C1_x", var90);
                                    } catch (JSONException var51) {
                                       var103 = var51;
                                       var106 = false;
                                       break label270;
                                    }

                                    try {
                                       var10019.put("C1_y", var91);
                                    } catch (JSONException var50) {
                                       var103 = var50;
                                       var106 = false;
                                       break label270;
                                    }

                                    try {
                                       var10018.put("C2_x", var92);
                                    } catch (JSONException var49) {
                                       var103 = var49;
                                       var106 = false;
                                       break label270;
                                    }

                                    try {
                                       var10017.put("C2_y", var93);
                                    } catch (JSONException var48) {
                                       var103 = var48;
                                       var106 = false;
                                       break label270;
                                    }

                                    try {
                                       var10016.put("C3_x", var94);
                                    } catch (JSONException var47) {
                                       var103 = var47;
                                       var106 = false;
                                       break label270;
                                    }

                                    try {
                                       var10015.put("C3_y", var95);
                                    } catch (JSONException var46) {
                                       var103 = var46;
                                       var106 = false;
                                       break label270;
                                    }

                                    try {
                                       var10014.put("c1", var96);
                                    } catch (JSONException var45) {
                                       var103 = var45;
                                       var106 = false;
                                       break label270;
                                    }

                                    try {
                                       var10013.put("s1", var97);
                                    } catch (JSONException var44) {
                                       var103 = var44;
                                       var106 = false;
                                       break label270;
                                    }

                                    try {
                                       var10012.put("nv", var65);
                                    } catch (JSONException var43) {
                                       var103 = var43;
                                       var106 = false;
                                       break label270;
                                    }

                                    try {
                                       var10011.put("nv_len", nv1);
                                    } catch (JSONException var42) {
                                       var103 = var42;
                                       var106 = false;
                                       break label270;
                                    }

                                    try {
                                       var10010.put("bsn", var98);
                                    } catch (JSONException var41) {
                                       var103 = var41;
                                       var106 = false;
                                       break label270;
                                    }

                                    try {
                                       var10009.put("bsn_len", bsn1);
                                    } catch (JSONException var40) {
                                       var103 = var40;
                                       var106 = false;
                                       break label270;
                                    }

                                    try {
                                       var10008.put("m", var99);
                                    } catch (JSONException var39) {
                                       var103 = var39;
                                       var106 = false;
                                       break label270;
                                    }

                                    try {
                                       var10007.put("m_len", plain1);
                                       break label244;
                                    } catch (JSONException var38) {
                                       var103 = var38;
                                       var106 = false;
                                    }
                                 }

                                 JSONException var67 = var103;
                                 throw new RuntimeException(var67);
                              }

                              Context var68 = var10006.context;
                              plain1 = Base64.encodeToString(var10005, 2);
                              var10004.storeByteArray(var68, groupId, "plain", plain1);
                              var68 = var10003.context;
                              plain1 = Base64.encodeToString(var107, 2);
                              var105.storeByteArray(var68, groupId, "bsn", plain1);
                              var65 = Base64.encodeToString(var100.toString().getBytes(), 2);
                              var102.handleResult(new Result("000000", var65));
                              XLog.d("groupSignature 成功");
                           }
                        }
                     }
                  } else {
                     var10001 = IMSSdk.mLogger;
                     var10002 = Level.SEVERE;
                     (var64 = new String[1])[0] = Arrays.toString(bsn);
                     var10001.log(var10002, "groupSignature 失败:bsn 参数不合法", var64);
                     XLog.d("groupSignature 失败:bsn 参数不合法" + Arrays.toString(bsn));
                     resultListener.handleResult(new Result("IE1013", "bsn 参数不合法：" + Arrays.toString(plain)));
                  }
               } else {
                  var10001 = IMSSdk.mLogger;
                  var10002 = Level.SEVERE;
                  (var64 = new String[1])[0] = Arrays.toString(nv);
                  var10001.log(var10002, "groupSignature 失败:nv 参数不合法", var64);
                  XLog.d("groupSignature 失败:nv 参数不合法" + Arrays.toString(nv));
                  resultListener.handleResult(new Result("IE1013", "nv 参数不合法：" + Arrays.toString(nv)));
               }
            } else {
               var10001 = IMSSdk.mLogger;
               var10002 = Level.SEVERE;
               (var64 = new String[1])[0] = Arrays.toString(plain);
               var10001.log(var10002, "groupSignature 失败:plain 参数不合法", var64);
               XLog.d("groupSignature 失败:plain 参数不合法" + Arrays.toString(plain));
               resultListener.handleResult(new Result("IE1013", "plain 参数不合法：" + Arrays.toString(plain)));
            }
         } else {
            var10001 = IMSSdk.mLogger;
            var10002 = Level.SEVERE;
            (var64 = new String[1])[0] = groupId;
            var10001.log(var10002, "groupSignature 失败:username或者PIN 参数不合法", var64);
            XLog.d("groupSignature 失败:username或者PIN 参数不合法" + Arrays.toString(new String[]{groupId}));
            resultListener.handleResult(new Result("IE1013", "username或者PIN 参数不合法：" + groupId));
         }
      } else {
         var10001 = IMSSdk.mLogger;
         var10002 = Level.SEVERE;
         (var64 = new String[1])[0] = groupId;
         var10001.log(var10002, "groupSignature 失败:groupId 参数不合法", var64);
         XLog.d("groupSignature 失败:groupId 参数不合法" + Arrays.toString(new String[]{groupId}));
         resultListener.handleResult(new Result("IE1013", "groupId 参数不合法：" + groupId));
      }
   }

   public void verifyGroupSignature(@NonNull String groupId, @NonNull String signValue, byte[] plain, byte[] bsn, @NonNull Result.ResultListener resultListener) {
      Map groupId1;
      if ((groupId1 = this.verifyGroupSignatureBegin(groupId, signValue, plain, bsn)) == null) {
         resultListener.handleResult(this.getLatestResult());
      } else {
         NetworkInterface var10000 = IMSSdk.networkInterface;
         String var10001 = "/".concat(IMSSdk.APP_NAME).concat("/group/verifyGroupSignature");
         Map var10002 = groupId1;
         NetworkInterface.NetworkCallback groupId2;
         groupId2 = new NetworkInterface.NetworkCallback<JSONObject>() {
            // $FF: synthetic field
            final Result.ResultListener val$resultListener;

            {
               this.val$resultListener = var2;
            }

            public void onSucceed(@NonNull JSONObject callbackData) {
               callbackData = super.decodeFilter(callbackData);
               this.val$resultListener.handleResult(GroupSignManager.this.verifyGroupSignatureFinal(callbackData));
            }

            public void onFailed(@NonNull String errorMsg) {
               <undefinedtype> var10000 = this;
               Result var2;
               var2 = new Result.<init>("IE1007", errorMsg);
               var10000.val$resultListener.handleResult(var2);
               IMSSdk.mLogger.log(Level.SEVERE, "verifyGroupSignature 失败:".concat(errorMsg));
               XLog.d("verifyGroupSignature 失败:".concat(errorMsg));
            }
         }.<init>(resultListener);
         var10000.httpPost(var10001, var10002, groupId2);
      }
   }

   public void openGroupSignature(@NonNull String groupId, @NonNull String signValue, @NonNull String userName, @NonNull String authInfo, @NonNull Result.ResultListener resultListener) {
      Map groupId1;
      if ((groupId1 = this.openGroupSignatureBegin(groupId, signValue)) == null) {
         resultListener.handleResult(this.getLatestResult());
      } else {
         NetworkInterface var10000 = IMSSdk.networkInterface;
         String var10001 = "/".concat(IMSSdk.APP_NAME).concat("/group/openGroupSignature");
         Map var10002 = groupId1;
         NetworkInterface.NetworkCallback groupId2;
         groupId2 = new NetworkInterface.NetworkCallback<JSONObject>() {
            // $FF: synthetic field
            final Result.ResultListener val$resultListener;

            {
               this.val$resultListener = var2;
            }

            public void onSucceed(@NonNull JSONObject callbackData) {
               callbackData = super.decodeFilter(callbackData);
               this.val$resultListener.handleResult(GroupSignManager.this.openGroupSignatureFinal(callbackData));
            }

            public void onFailed(@NonNull String errorMsg) {
               <undefinedtype> var10000 = this;
               Result var2;
               var2 = new Result.<init>("IE1007", errorMsg);
               var10000.val$resultListener.handleResult(var2);
               IMSSdk.mLogger.log(Level.SEVERE, "openGroupSignature 失败:".concat(errorMsg));
               XLog.d("openGroupSignature 失败:".concat(errorMsg));
            }
         }.<init>(resultListener);
         var10000.httpPost(var10001, var10002, groupId2);
      }
   }

   public void deleteGroup(@NonNull String groupId, @NonNull Result.ResultListener resultListener) {
      Map var3;
      if ((var3 = this.deleteGroupBegin(groupId)) == null) {
         resultListener.handleResult(this.getLatestResult());
      } else {
         NetworkInterface var10000 = IMSSdk.networkInterface;
         String var10001 = "/".concat(IMSSdk.APP_NAME).concat("/group/deleteGroup");
         Map var10002 = var3;
         NetworkInterface.NetworkCallback var4;
         var4 = new NetworkInterface.NetworkCallback<JSONObject>() {
            // $FF: synthetic field
            final Result.ResultListener val$resultListener;
            // $FF: synthetic field
            final String val$groupId;

            {
               this.val$resultListener = var2;
               this.val$groupId = var3;
            }

            public void onSucceed(@NonNull JSONObject callbackData) {
               callbackData = super.decodeFilter(callbackData);
               this.val$resultListener.handleResult(GroupSignManager.this.deleteGroupFinal(this.val$groupId, callbackData));
            }

            public void onFailed(@NonNull String errorMsg) {
               <undefinedtype> var10000 = this;
               Result var2;
               var2 = new Result.<init>("IE1007", errorMsg);
               var10000.val$resultListener.handleResult(var2);
               IMSSdk.mLogger.log(Level.SEVERE, "deleteGroup 失败:".concat(errorMsg));
               XLog.d("deleteGroup 失败:".concat(errorMsg));
            }
         }.<init>(resultListener, groupId);
         var10000.httpPost(var10001, var10002, var4);
      }
   }

   public boolean changePIN(@NonNull String groupId, @NonNull String userName, @NonNull String oldPIN, @NonNull String newPIN) {
      if (!TextUtils.isEmpty(groupId) && !TextUtils.isEmpty(userName) && !TextUtils.isEmpty(oldPIN) && !TextUtils.isEmpty(newPIN)) {
         Context var5 = this.context;
         String var6 = userName.concat("_").concat("PIN");
         if (!TextUtils.equals(this.retrieveString(var5, groupId, var6), oldPIN)) {
            IMSSdk.mLogger.log(Level.SEVERE, "changePIN 失败:".concat("PIN验证失败"));
            XLog.d("changePIN 失败:".concat("PIN验证失败"));
            return false;
         } else {
            GroupSignManager var10000 = this;
            Context var7 = this.context;
            userName = userName.concat("_").concat("PIN");
            var10000.storeByteArray(var7, groupId, userName, newPIN);
            return true;
         }
      } else {
         IMSSdk.mLogger.log(Level.SEVERE, "changePIN 失败:".concat("参数为空"));
         XLog.d("changePIN 失败:".concat("参数为空"));
         return false;
      }
   }

   protected Result checkResponseData(JSONObject responseData) {
      if (responseData != null && responseData.length() > 0) {
         Result var2;
         Result var10000 = var2 = new Result;
         var10000.<init>(responseData.getString("resultcode"));
         if (!TextUtils.equals("000000", var10000.getResultID())) {
            XLog.d("请求失败 resultID = " + var2.getResultID());
            if (responseData.has("resultmsg")) {
               var2.setResultDesc(responseData.getString("resultmsg"));
            }
         } else {
            XLog.d("请求成功");
         }

         return var2;
      } else {
         IMSSdk.mLogger.log(Level.SEVERE, "错误的响应数据", responseData);
         XLog.d("请求失败 responseData is null");
         return new Result("IE1048", "responseData is null");
      }
   }
}
